# Documentation

## Table of content

* [Introduction](https://github.com/nitin42/redocx#introduction)
* [API Reference](https://github.com/nitin42/redocx/blob/master/docs/api.md#api-reference)
   * [render](https://github.com/nitin42/redocx/blob/master/docs/api.md#renderelement-filepath)
   * [Document](https://github.com/nitin42/redocx/blob/master/docs/api.md#document-)
   * [Text](https://github.com/nitin42/redocx/blob/master/docs/api.md#text-)
   * [List](https://github.com/nitin42/redocx/blob/master/docs/api.md#list-)
   * [BulletItem](https://github.com/nitin42/redocx/blob/master/docs/api.md#bulletitem-)
   * [NumberItem](https://github.com/nitin42/redocx/blob/master/docs/api.md#numberitem--currently-unstable)
   * [Header](https://github.com/nitin42/redocx/blob/master/docs/api.md#header-)
   * [Footer](https://github.com/nitin42/redocx/blob/master/docs/api.md#footer-)
   * [Horizontal Line](https://github.com/nitin42/redocx/blob/master/docs/api.md#hr-)
   * [LineBreak](https://github.com/nitin42/redocx/blob/master/docs/api.md#linebreak-)
   * [PageBreak](https://github.com/nitin42/redocx/blob/master/docs/api.md#pagebreak-)
   * [Table](https://github.com/nitin42/redocx/blob/master/docs/api.md#table-)
   * [Image](https://github.com/nitin42/redocx/blob/master/docs/api.md#image-)
   * [Platform](https://github.com/nitin42/redocx/blob/master/docs/api.md#platform)
* [Styling](https://github.com/nitin42/redocx/blob/master/docs/styling.md)
  * [Components](https://github.com/nitin42/redocx/blob/master/docs/styling.md#style-properties-for-the-component)
  * [Images](https://github.com/nitin42/redocx/blob/master/docs/styling.md#style-attributes-for-image--component)
  * [Table styles](https://github.com/nitin42/redocx/blob/master/docs/styling.md#table--component)
* [Examples](../examples)
  * [Image](../examples/Image.js)
  * [Text](../examples/Text.js)
  * [List](../examples/List.js)
  * [Header](../examples/Header.js)
  * [Footer](../examples/Footer.js)
  * [Horizontal Line](../examples/Hr.js)
  * [PageBreak](../examples/PageBreak.js)
  * [Table](../examples/Table.js)
* [Extra](./misc.md)
* [Contributing](https://github.com/nitin42/redocx/blob/master/CONTRIBUTING.md)
